---
title: Document.createTextNode()
slug: Web/API/Document/createTextNode
tags:
  - API
  - DOM
  - Document
  - Method
  - Reference
  - createTextNode
---
<div>{{APIRef("DOM")}}</div>

<p>Creates a new {{domxref("Text")}} node. This method can be used to escape HTML characters.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>text</var> = document.createTextNode(<var>data</var>);
</pre>

<ul>
 <li><var>text</var> is a {{domxref("Text")}} node.</li>
 <li><var>data</var> is a <a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/String">string</a> containing the data to be put in the text node.</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: html">&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
&lt;title&gt;createTextNode example&lt;/title&gt;
&lt;script&gt;
function addTextNode(text) {
  var newtext = document.createTextNode(text),
      p1 = document.getElementById("p1");

  p1.appendChild(newtext);
}
&lt;/script&gt;
&lt;/head&gt;

&lt;body&gt;
  &lt;button onclick="addTextNode('YES! ');"&gt;YES!&lt;/button&gt;
  &lt;button onclick="addTextNode('NO! ');"&gt;NO!&lt;/button&gt;
  &lt;button onclick="addTextNode('WE CAN! ');"&gt;WE CAN!&lt;/button&gt;

  &lt;hr /&gt;

  &lt;p id="p1"&gt;First line of paragraph.&lt;/p&gt;
&lt;/body&gt;
&lt;/html&gt;

</pre>

<p>{{EmbedLiveSample('Example')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-document-createtextnode', 'Document: createTextNode')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.createTextNode")}}</p>
